Package org.zkoss.util

## Class CollectionsX.ArrayCollection<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - org.zkoss.util.CollectionsX.ArrayCollection<E>

- All Implemented Interfaces:
    `java.lang.Iterable<E>`, `java.util.Collection<E>`
  Enclosing class:
    CollectionsX

      public static final class CollectionsX.ArrayCollection<E>
      extends java.util.AbstractCollection<E>

  An readonly collection on top of an array.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayCollection​(java.lang.Object[] ary)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Iterator<E>` | `iterator()` |
    `int` | `size()` |

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ArrayCollection

          public ArrayCollection​(java.lang.Object[] ary)

  - ### Method Detail

    - #### size

          public final int size()

      Specified by:
        `size` in interface `java.util.Collection<E>`
      Specified by:
        `size` in class `java.util.AbstractCollection<E>`

    - #### iterator

          public java.util.Iterator<E> iterator()

      Specified by:
        `iterator` in interface `java.util.Collection<E>`
      Specified by:
        `iterator` in interface `java.lang.Iterable<E>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<E>`